<?php
    // includes
    $includePath = array();
    $includePath[] = '../arav_up_inclu';
    $includePath[] = get_include_path();
    $includePath = implode(PATH_SEPARATOR,$includePath);
    set_include_path($includePath);

    require '../arav_up_confs.php';
    require_once('auth.php');
    require_once('report.php');

    // presenta auth
    if (!isset($_SERVER['PHP_AUTH_USER'])) {
         prompt_auth();
    //     report(1,"PHP_AUTH_USER not set, exiting"); //Lo vogliamo davvero loggare?
         exit;
    }

    $authstate = do_local_auth($_SERVER['PHP_AUTH_USER'], hash("sha256",$_SERVER['PHP_AUTH_PW']));
    // report(1,"userid : ".$authstate["userid"]);
    // report(1,"dir : ".$authstate["dir"]);
    if ($authstate["esito"] != "AUTH_OK") {
    //     // es: is_inside_dir($object, $authstate["dir"]);
        prompt_auth();
    //     report(1,"esito not AUTH_OK, exiting");
        exit;
    }

    // -----------------

    parse_str($_SERVER['QUERY_STRING'], $query);

    // I am not afraid of errors:
    error_reporting(E_ALL);
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>Arkiwi uploader</title>
    <meta name="description" content="">

    <script src="/arav_up_client/bower_components/jquery/dist/jquery.js"></script>
    <script src="/arav_up_client/scripts/arkiwi.js"></script>
    <script src="/arav_up_client/scripts/main.js"></script>

</head>

<body>

    <form id="file-form" method="POST">
        <p>Pippone con spiegone, si può anche mettere da un'altra parte, CRI vedi tu quando fai grafica</p>
        <div>
            <button type="submit" id="browse-button" onclick="selectFile(event);">Select file to upload</button>
        </div>
        <input type="file" id="hiddenfileinput" style="visibility: hidden;"/> <!-- CRI, questo non va toccato, ma può essere spostato -->
    </form>

    <div id="dvProgressPrcent"></div>

    <input type="hidden" id="document-type" value="<?php echo $query['type']; ?>"/>
    <input type="hidden" id="document-value" value="<?php echo $query['value']; ?>"/>

    <div id="fileInfo">
        <article ><span>File: </span><span id="file-name">No file selected</span></article>
        <button type="submit" id="upload-button" disabled>Upload</button>
    </div>

    <script>
    $(function() {
        initializeUpload('<?php echo $GLOBALS["conf"]["api_endpoint"] ?>');
    });
    </script>

</body>

</html>
