<?php

// autentica sul db locale
function do_local_auth($username, $password){
    try {
	// Create (connect to) SQLite database in file
	$file_db = new PDO("sqlite:".$GLOBALS["conf"]["user_db"]);
	report(1,"connected to auth db");
	// Set errormode to exceptions
	$file_db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

	$query_userexist = "SELECT username FROM users WHERE username = :username";
	$uestmt = $file_db->prepare($query_userexist);
	$uestmt->bindParam(':username', $username);
	$uestmt->execute();
	$uerow = $uestmt->fetch(PDO::FETCH_ASSOC);

	if($uerow["username"] == $username){
	    report(1,"username exists");
	    // controlla passwd e piglia su dati

	    /*
	     $query_checkpwd = "SELECT users.username,groups.dir FROM users,groups WHERE users.username = :username AND users.password = :password AND users.usergroup = groups.usergroup";
	     $cpstmt = $file_db->prepare($query_checkpwd);
	     $cpstmt->bindParam(':username', $username);
	     $cpstmt->bindParam(':password', $password);
	     $cpstmt->execute();
	     $cprow = $cpstmt->fetch(PDO::FETCH_ASSOC);
	     */

	    $query_checkpwd = "SELECT users.username,groups.dir FROM users,groups WHERE users.username = '$username' AND users.password = '$password' AND users.usergroup = groups.usergroup";
	    report(1,"query: $query_checkpwd");
	    $cpresult = $file_db->query($query_checkpwd);
	    $cprow = $cpresult->fetch(PDO::FETCH_ASSOC);

	    if($cprow["username"] == $username){
		$esito = "AUTH_OK";
	    }
	    else {
		$esito = "PASS_IV"; // pwd sbajata!
	    }
	} else {
	    $esito = "USER_NE"; // non esiste
	}
	report(1,"esito $esito");
    }
    catch(PDOException $e){
        report(3,$e->getMessage());
    }

    return array("esito" => $esito, "userid" => $cprow["username"], "dir" => $cprow["dir"]);
}


function prompt_auth(){
    header('WWW-Authenticate: Basic realm="Arkiwi"');
    header('HTTP/1.0 401 Unauthorized');
}

function is_inside_dir($object,$dir){
    if( strpos(realpath($object), realpath($dir)) === 0) return true;
    return false;
}

?>
