<?php

$GLOBALS["conf"]["executables"] = array("ogginfo" => "/usr/bin/ogginfo",
                    "mkvinfo" => "/usr/bin/mkvinfo",
                    "ffmpegthumbnailer" => "/usr/local/bin/ffmpegthumbnailer",
                    "oggthumb" => "/usr/local/bin/oggThumb",
                    "mktorrent" => "/usr/bin/mktorrent",
                    "qrencode" => "/usr/bin/qrencode",
                    "vorbiscomment" => "/usr/bin/vorbiscomment"
                    );


// http://www.w3.org/1999/02/22-rdf-syntax-ns# o http://www.w3.org/2000/xmlns/
$GLOBALS["conf"]["namespaces"] = array("rdf" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                              "qualifiedName" => "xmlns:rdf",
                              "value" => "http://www.w3.org/1999/02/22-rdf-syntax-ns#"),
                       "arav" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                               "qualifiedName" => "xmlns:arav",
                               "value" => "http://wiki.indivia.net/wikka.php?wakka=ArAv"),
                       "uimd" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                               "qualifiedName" => "xmlns:uimd",
                               "value" => "http://wiki.indivia.net/wikka.php?wakka=UiMd"),
                       "dc" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                             "qualifiedName" => "xmlns:dc",
                             "value" => "http://purl.org/dc/elements/1.1/"),
                       "rss" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                              "qualifiedName" => "xmlns:rss",
                              "value" => "http://purl.org/rss/1.0/"),
                       "ctag" => array("namespaceURI" => "http://www.w3.org/2000/xmlns/",
                               "qualifiedName" => "xmlns:ctag",
                               "value" => "http://commontag.org/ns#")
                       );


$GLOBALS["conf"]["supportedexetensions"] = array("ogg","oga","ogv","ogm","webm");
$GLOBALS["conf"]["DirsNotRegex"] =  "/^arav_|^oembed|^ft_plugins|^tmp$|^\.$/i";
$GLOBALS["conf"]["FilesRegex"] = "/\.oga$|\.ogv$|\.ogg$|\.webm$|\.mkv$/i";

// campi stabili durante la sessione
$GLOBALS["conf"]["stablestoredfields"] = array("REMOTE_ADDR", "HTTP_USER_AGENT", "HTTP_HOST");
// campi che cambiano durante la sessione
$GLOBALS["conf"]["volatilestoredfields"] = array("REQUEST_TIME");

$GLOBALS["conf"]["xml_version"] = "1.0";
$GLOBALS["conf"]["xml_encoding"] = "UTF-8";

$GLOBALS["conf"]["report_threshold"] = 0;

$GLOBALS["conf"]["dirmetadatafile"] = "dir.data";

$GLOBALS["conf"]["user_db"] = "./arav_up_users/arav_users.sqlite3";

$GLOBALS["conf"]["data_basedir"] = "/tmp"; // dove stanno i doc fisici
$GLOBALS["conf"]["metadata_basedir"] = "/tmp"; // dove stanno i metadati derivati

//campi di configurazione per il client html
$GLOBALS["conf"]["api_endpoint"] = "http://upload.arkiwi.org/arav_up_api";

//campi di configurazione per la parte "CAZZACCROCCHIO"
$GLOBALS["conf"]["assetstore_endpoint"] = "http://assetstore.arkiwi.org";

?>
